Summary:	fping - pings multiple hosts at once
Summary(pl.UTF-8):	fping - ping sprawdzający wiele hostów naraz
Summary(pt_BR.UTF-8):	Ferramenta para enviar pings para várias máquinas de uma só vez
Name:		fping
Version:	2.4b2
Release:	9
License:	distributable
Group:		Networking/Utilities
Source0:	http://www.fping.com/download/%{name}-%{version}.tar.gz
# Source0-md5:	d3c4a12119a04893d744137f861e1ecd
Patch0:		%{name}-ac_fixes.patch
Patch1:		%{name}-ipv6.patch
Patch2:		%{name}-ipv6-ac.patch
URL:		http://www.fping.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
fping is a ping(1) like program which uses the Internet Control
Message Protocol (ICMP) echo request to determine if a host is up.
fping is different from ping in that you can specify any number of
hosts on the command line, or specify a file containing the lists of
hosts to ping. Instead of trying one host until it timeouts or
replies, fping will send out a ping packet and move on to the next
host in a round-robin fashion. If a host replies, it is noted and
removed from the list of hosts to check. If a host does not respond
within a certain time limit and/or retry limit it will be considered
unreachable.

%description -l pl.UTF-8
fping to program podobny do ping(1), używającego żądania echo
(echo-request) protokołu ICMP do stwierdzenia, czy host działa. fping
różni się od ping tym, że można podać dowolną liczbę hostów z linii
poleceń lub podać plik zawierający listę hostów do sprawdzenia.
Zamiast sprawdzania pojedynczego hosta do upłynięcia limitu czasu lub
odpowiedzi, fping wysyła pakiet pinga i przesuwa się do następnego
hosta w trybie Round-Robin. Jeżeli host odpowiada, jest on zapisywany
i usuwany z listy do sprawdzenia. Jeżeli nie odpowiada przez pewien
czas lub pewną liczbę prób, jest traktowany jako niedostępny.

%description -l pt_BR.UTF-8
O fping é um programa que utiliza a requisição de eco do Internet
Control Message Protocol (ICMP) para determinar se uma máquina alvo
está respondendo. O fping difere do ping na medida que se pode
especificar qualquer número de alvos na linha de comando, ou
especificar um arquivo contendo as listas de alvos a enviar ping. Ao
invés de enviar para um alvo até que expire o tempo máximo ou ele
responda, o fping enviará um pacote de ping para cada alvo ao mesmo
tempo.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}
mv fping fping6

%configure \
	--disable-ipv6
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}

%{__make} install \
	sbindir=%{_bindir} \
	DESTDIR=$RPM_BUILD_ROOT

install fping6 $RPM_BUILD_ROOT%{_bindir}
ln -s %{_bindir}/fping $RPM_BUILD_ROOT%{_sbindir}
ln -s %{_bindir}/fping6 $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README COPYING
%attr(4754,root,adm) %{_bindir}/*
%{_sbindir}/*
%{_mandir}/man*/*
%changelog
* Fri Mar 20 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fping.git;a=log;h=master

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> cbb8d8d
- x32 rebuild
- release 9 (by relup.sh)

* Sat May 22 2010 Tomasz Pala <gotar@pld-linux.org> 6d0e413
- fixed Group

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 49c02e9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 476df42
- converted to UTF-8

* Sat Sep 11 2004 Tomasz Pala <gotar@pld-linux.org> 9b51c53
- moved from _sbindir to _bindir leaving symlink, release 8

* Fri Sep 10 2004 Tomasz Pala <gotar@pld-linux.org> c42812b
- o+r

* Wed Aug 18 2004 undefine <undefine@pld-linux.org> 75eea94
- release 7

* Sat Dec 06 2003 undefine <undefine@pld-linux.org> c35517a
- release 6 to rebuild with ac

* Tue Jul 08 2003 Paweł Gołaszewski <blues@pld-linux.org> cfbed43
- "f" and some "g" letters of small fixes inpired by kloczek

* Mon May 26 2003 Michal Moskal <michal@moskal.me> 02cd439
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> d76e5a1
- massive attack s/pld.org.pl/pld-linux.org/

* Tue May 20 2003 kloczek <kloczek@pld-linux.org> ea48fac
- merge translations from Conectiva.

* Mon Nov 11 2002 kloczek <kloczek@pld-linux.org> 3b76503
- release 5.

* Thu Nov 07 2002 Maciej Pijanka <agaran@pld-linux.org> 1dabfe8
- ipv6 patch + ac fix (patch isnt mine)

* Thu Nov 07 2002 Maciej Pijanka <agaran@pld-linux.org> d77bd89
- ipv6 patch (ugly one)

* Mon Oct 07 2002 Jakub Bogusz <qboosh@pld-linux.org> d2f8e28
- BR: autoconf,automake

* Tue Jun 18 2002 Paweł Gołaszewski <blues@pld-linux.org> 71b60a3
- release 4
- reverted ipv6 "fixes" - BTS#207 - make separate v6 package or (better)
  add correct v6 fix, not separate fake source
- new doc
STBR

* Tue May 21 2002 kloczek <kloczek@pld-linux.org> 3ad9750
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

* Sat May 11 2002 pioklo <pioklo@linuxpl.com> 1ed5520
- relase 3,now  support ipv6 ,STBR

* Thu May 02 2002 Jakub Bogusz <qboosh@pld-linux.org> f99fe67
- automake -a -c -f --foreign - don't change license information in COPYING!!!

